Page MenuHomePhabricator

Announce 30 minutes read-only time for enwiki 18th July 06:00AM UTC
Closed, ResolvedPublic

Description

We need to failover the primary database master for s1 (enwiki) due to some network maintenance (T183585) affecting its rack and the fact that it is running on old hardware that will be decommissioned (T186320)

We would need a 30 minutes read-only window for enwiki, although if everything goes fine, it should be just a few minutes.

**Date: 18th July

Time: 06:00AM - 06:30AM UTC

Impact: enwiki will go read-only. No edits will be allowed. Reads will not be impacted.**

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 3:40 PM
Johan claimed this task.Jun 14 2018, 2:21 PM
Johan removed a project: User-notice.
Restricted Application added a project: User-Johan. · View Herald TranscriptJun 14 2018, 2:21 PM
Johan added a comment.Jun 14 2018, 2:29 PM

I've posted an early warning on the English Wikipedia technical Village Pump.

Vvjjkkii renamed this task from Announce 30 minutes read-only time for enwiki 18th July 06:00AM UTC to d3aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed Johan as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Johan; removed: MarcoAurelio, Aklapper.
Marostegui renamed this task from d3aaaaaaaa to Announce 30 minutes read-only time for enwiki 18th July 06:00AM UTC.Jul 1 2018, 8:09 PM
Marostegui assigned this task to Johan.
Marostegui lowered the priority of this task from High to Normal.
Marostegui updated the task description. (Show Details)
Johan moved this task from Backlog to Do now on the User-Johan board.Jul 6 2018, 10:44 AM
Johan closed this task as Resolved.Jul 12 2018, 7:48 AM

English Wikipedia has been reminded again. I've suggested a banner of some kind, but I'd say that's really up to the community to decide.

Elitre raised the priority of this task from Normal to High.Jul 13 2018, 3:46 PM

Will $wgReadOnly show a message while read-only?

(See also my comments/questions about SiteNotice/CentralNotice at the en:WP:VPT topic.)

Marostegui added a comment.EditedJul 16 2018, 9:24 AM

Will $wgReadOnly show a message while read-only?
(See also my comments/questions about SiteNotice/CentralNotice at the en:WP:VPT topic.)

It will show: Scheduled maintenance on enwiki from 06:00-06:30 UTC. Database in read-only mode.
I wasn't aware of: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Reminder:_No_editing_06:00%E2%80%9306:30_AM_(UTC),_18_July I will include that URL in the read-only message if that is better.

Pipetricker added a comment.EditedJul 16 2018, 9:41 AM

if that is better.

I don't see much point in linking to that.

It will show: Scheduled maintenance on enwiki from 06:00-06:30 UTC..

That is ambiguous. Drop the "from", or write "to" instead of the dash.

It will show: Scheduled maintenance on enwiki from 06:00-06:30 UTC..

That is ambiguous. Drop the "from", or write "to" instead of the dash.

Done - thanks for the suggestion!

I just noticed in mw:Manual:$wgReadOnly that this message will be preceded by the message in en:MediaWiki:Readonlywarning. Can you confirm this?

Can you confirm this?

That is my understanding, at least on the wikicode editor- visual editor and other input methods could have its own separate mechanism.

One suggestion- normally it is not good etiquette to comment on closed tickets or use it for general questions- unless it is to discuss its reopening. I would suggest using the wiki for questions better than Phabricator, which is normally to handle tasks or bug reports. You can also find us on IRC if you have questions. In particular, probably no one subscribed here may know a lot about mediawiki internals, as we are all sysadmins and community relations, but on IRC or wiki people could route to the right people. 0:-)

This was smoothly done.
Read only times:

Start: 06:01:31
Finish: 06:07:17

Johan moved this task from Do now to Archive on the User-Johan board.Jul 22 2018, 2:26 AM
Elitre added a subscriber: Elitre.Oct 5 2018, 9:28 AM

Satisfaction survey reply received.